Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1767406 - [abrt] libreport-gtk: g_autoptr_cleanup_generic_gfree(): report-gtk killed by SIGABRT
Summary: [abrt] libreport-gtk: g_autoptr_cleanup_generic_gfree(): report-gtk killed by...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libreport
Version: 30
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: abrt
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:450df92fc063888644d44e2c1d7...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-10-31 11:54 UTC by Kamil Páral
Modified: 2019-11-19 01:50 UTC (History)
8 users (show)

Fixed In Version: libreport-2.11.3-1.fc31 libreport-2.11.3-1.fc30 libreport-2.11.3-1.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-18 01:37:06 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
File: backtrace (deleted)
2019-10-31 11:54 UTC, Kamil Páral
no flags Details
File: cgroup (deleted)
2019-10-31 11:54 UTC, Kamil Páral
no flags Details
File: core_backtrace (deleted)
2019-10-31 11:54 UTC, Kamil Páral
no flags Details
File: cpuinfo (deleted)
2019-10-31 11:54 UTC, Kamil Páral
no flags Details
File: dso_list (deleted)
2019-10-31 11:54 UTC, Kamil Páral
no flags Details
File: environ (deleted)
2019-10-31 11:54 UTC, Kamil Páral
no flags Details
File: limits (deleted)
2019-10-31 11:54 UTC, Kamil Páral
no flags Details
File: maps (deleted)
2019-10-31 11:54 UTC, Kamil Páral
no flags Details
File: mountinfo (deleted)
2019-10-31 11:54 UTC, Kamil Páral
no flags Details
File: open_fds (deleted)
2019-10-31 11:54 UTC, Kamil Páral
no flags Details
File: proc_pid_status (deleted)
2019-10-31 11:54 UTC, Kamil Páral
no flags Details

Description Kamil Páral 2019-10-31 11:54:01 UTC
Description of problem:
Libreport crashed when I tried to report a bug.

Version-Release number of selected component:
libreport-gtk-2.11.2-1.fc30

Additional info:
reporter:       libreport-2.11.2
backtrace_rating: 4
cmdline:        report-gtk -- /var/spool/abrt/Python3-2019-10-31-10:28:44-4281
crash_function: g_autoptr_cleanup_generic_gfree
executable:     /usr/bin/report-gtk
journald_cursor: s=49c6c129c69c41798563b407081598f1;i=19c011;b=6f6fc36d7e7e4bcc9796ae3f145e088f;m=9bf70e955;t=596334dbe110f;x=dbdd097417c13853
kernel:         5.3.7-200.fc30.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 1 Kamil Páral 2019-10-31 11:54:05 UTC
Created attachment 1631018 [details]
File: backtrace

Comment 2 Kamil Páral 2019-10-31 11:54:06 UTC
Created attachment 1631019 [details]
File: cgroup

Comment 3 Kamil Páral 2019-10-31 11:54:08 UTC
Created attachment 1631020 [details]
File: core_backtrace

Comment 4 Kamil Páral 2019-10-31 11:54:09 UTC
Created attachment 1631021 [details]
File: cpuinfo

Comment 5 Kamil Páral 2019-10-31 11:54:11 UTC
Created attachment 1631022 [details]
File: dso_list

Comment 6 Kamil Páral 2019-10-31 11:54:12 UTC
Created attachment 1631023 [details]
File: environ

Comment 7 Kamil Páral 2019-10-31 11:54:13 UTC
Created attachment 1631024 [details]
File: limits

Comment 8 Kamil Páral 2019-10-31 11:54:15 UTC
Created attachment 1631025 [details]
File: maps

Comment 9 Kamil Páral 2019-10-31 11:54:17 UTC
Created attachment 1631026 [details]
File: mountinfo

Comment 10 Kamil Páral 2019-10-31 11:54:18 UTC
Created attachment 1631027 [details]
File: open_fds

Comment 11 Kamil Páral 2019-10-31 11:54:19 UTC
Created attachment 1631028 [details]
File: proc_pid_status

Comment 12 Kamil Páral 2019-10-31 11:59:57 UTC
I can repeat this libreport crash if I try to report again the crash I initially wanted to report (dnf crash).

Comment 13 Matej Grabovsky 2019-10-31 13:34:27 UTC
This should be fixed upstream: https://github.com/abrt/libreport/commit/36c5e90469b36cb0724f45447ae923a6d6ccf348

I will try to release an update shortly along with other fixes.

Comment 14 Fedora Update System 2019-11-11 12:07:45 UTC
FEDORA-2019-d1d297c296 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-d1d297c296

Comment 15 Fedora Update System 2019-11-11 12:07:50 UTC
FEDORA-2019-36fc6e0ae9 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-36fc6e0ae9

Comment 16 Fedora Update System 2019-11-11 12:07:56 UTC
FEDORA-2019-9276529a76 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-9276529a76

Comment 17 Fedora Update System 2019-11-12 03:07:54 UTC
libreport-2.11.2-2.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-36fc6e0ae9

Comment 18 Fedora Update System 2019-11-12 04:26:15 UTC
libreport-2.11.2-2.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-d1d297c296

Comment 19 Fedora Update System 2019-11-13 04:56:24 UTC
libreport-2.11.2-2.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-9276529a76

Comment 20 Fedora Update System 2019-11-14 10:30:18 UTC
FEDORA-2019-a94d792ca3 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-a94d792ca3

Comment 21 Fedora Update System 2019-11-14 10:30:48 UTC
FEDORA-2019-fdf8e84f60 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-fdf8e84f60

Comment 22 Fedora Update System 2019-11-14 10:31:07 UTC
FEDORA-2019-99b788980b has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-99b788980b

Comment 23 Fedora Update System 2019-11-15 03:45:26 UTC
libreport-2.11.3-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-fdf8e84f60

Comment 24 Fedora Update System 2019-11-15 04:38:55 UTC
libreport-2.11.3-1.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-a94d792ca3

Comment 25 Fedora Update System 2019-11-15 05:52:54 UTC
libreport-2.11.3-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-99b788980b

Comment 26 Fedora Update System 2019-11-18 01:37:06 UTC
libreport-2.11.3-1.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 27 Fedora Update System 2019-11-18 22:47:28 UTC
libreport-2.11.3-1.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 28 Fedora Update System 2019-11-19 01:15:10 UTC
libreport-2.11.3-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 29 Fedora Update System 2019-11-19 01:50:47 UTC
libreport-2.11.3-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.